%global npm_name forwarded

Summary:       Parse HTTP X-Forwarded-For header
Name:          nodejs-%{npm_name}
Version:       0.1.0
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/jshttp/forwarded
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Parse HTTP X-Forwarded-For header.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc HISTORY.md LICENSE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Mon Sep 14 2015 Troy Dawson <tdawson@redhat.com> - 0.1.0-1
- Initial package
